#ifndef SOUNDPAGE2_H
#define SOUNDPAGE2_H

#include <QWizardPage>

#include "util.h"
#include "droptablewidget.h"

namespace Ui {
class soundpage2;
}

class SoundPage2 : public QWizardPage
{
    Q_OBJECT
    
public:
    DropTableWidget *soundTable;

    explicit SoundPage2(QString appLocation, QWidget *parent = 0);
    ~SoundPage2();
    
private slots:
    void addResourcesSounds(DropTableWidget *myTable, QStringList resources);

    void on_rbOther_toggled(bool checked);

    void on_tbAddFiles_clicked();

    void on_tbRemoveFiles_clicked();

    void on_pbBrowserOtherLocation_clicked();

    void openCodecLocalHelp();

private:
    Ui::soundpage2 *ui;
    static const QStringList allowedFiles;
    QString codecLocalHelpFile;

    bool validatePage();
};

#endif // SOUNDPAGE2_H
